package net.sourceforge.pain.tools.guitool.dialog;

import java.awt.*;
import javax.swing.*;


public class ChangePassDialog extends JDialog {
//    JPanel panel = new JPanel();
    JPasswordField oldPassField = new JPasswordField();
    JPasswordField newPassField = new JPasswordField();
    JPasswordField repeatNewPassField = new JPasswordField();
    JLabel oldPassLabel = new JLabel();
    JLabel newPassLabel = new JLabel();
    JLabel repeatPassLabel = new JLabel();
    JToggleButton cancelButton = new JToggleButton();
    JToggleButton changeButton = new JToggleButton();

    public ChangePassDialog(Frame frame) {
        super(frame, "Change password", true);
        jbInit();
    }


    private void jbInit() {
        this.getContentPane().setLayout(null);

        oldPassLabel.setFont(new java.awt.Font("Dialog", 1, 12));
        oldPassLabel.setText("Old password");
        oldPassLabel.setBounds(new Rectangle(14, 18, 110, 18));
        newPassLabel.setBounds(new Rectangle(14, 48, 110, 18));
        newPassLabel.setText("New password");
        newPassLabel.setFont(new java.awt.Font("Dialog", 1, 12));
        repeatPassLabel.setBounds(new Rectangle(14, 79, 110, 18));
        repeatPassLabel.setText("Repeat password");
        repeatPassLabel.setFont(new java.awt.Font("Dialog", 1, 12));

        oldPassField.setText("");
        oldPassField.setBounds(new Rectangle(118, 18, 109, 21));

        newPassField.setText("");
        newPassField.setBounds(new Rectangle(118, 48, 109, 21));

        repeatNewPassField.setText("");
        repeatNewPassField.setBounds(new Rectangle(118, 79, 109, 21));

        cancelButton.setBorder(BorderFactory.createEtchedBorder());
        cancelButton.setText("Cancel");
        cancelButton.setBounds(new Rectangle(25, 110, 83, 23));

        changeButton.setBorder(BorderFactory.createEtchedBorder());
        changeButton.setText("Change");
        changeButton.setBounds(new Rectangle(144, 110, 83, 23));

        final Container contentPane = getContentPane();
        contentPane.setBounds(0, 0, 240, 175);
        contentPane.add(changeButton, null);
        contentPane.add(oldPassLabel, null);
        contentPane.add(newPassLabel, null);
        contentPane.add(repeatPassLabel, null);
        contentPane.add(newPassField, null);
        contentPane.add(oldPassField, null);
        contentPane.add(repeatNewPassField, null);
        contentPane.add(cancelButton, null);
        setBounds(contentPane.getBounds());
    }
}