package net.sourceforge.pain.tools.guitool;

import javax.swing.*;
import java.text.*;
import java.util.*;

public class LogPanel extends JScrollPane {

	final JTextArea logArea;
	final DateFormat timeFormat;


	public LogPanel() {
		logArea = new JTextArea();
		logArea.setEditable(false);
		getViewport().add(logArea);
		timeFormat = SimpleDateFormat.getDateTimeInstance(SimpleDateFormat.SHORT, SimpleDateFormat.MEDIUM);
	}

	public void message(String message) {
		message = "[" + timeFormat.format(new Date()) + "] " + message + "\n";
		logArea.append(message);
	}

}
