package net.sourceforge.pain.tools.guitool;

import javax.swing.*;
import java.awt.*;


public class StatusBar extends JPanel {
	//  Message | State: Disconnected
	JLabel message;
	JLabel connectStatus;

	public StatusBar() {
		setLayout(new GridLayout(1, 2));
		message = new JLabel();
		message.setBorder(BorderFactory.createEtchedBorder());

		connectStatus = new JLabel();
        connectStatus.setBorder(BorderFactory.createEtchedBorder());
		connectStatus.setHorizontalAlignment(SwingConstants.RIGHT);

		add(message);
		add(connectStatus);

		setConnected(false);
	}

	public void setContextMessage(String m) {
		message.setText(m);
	}



	public void setConnected(boolean flag) {
       connectStatus.setText(flag?"Connected":"Disconnected");
	}

}
